Report how the Android Auto map drew on this device
POST
/v1/telemetry/car-renderer
const url = 'https://api.tareky.com/v1/telemetry/car-renderer';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"events":[{"kind":"SESSION","renderer":"godot","reason":"example","at":"2026-04-15T12:00:00Z","appVersion":"example","engineVersion":"example","device":{"model":"example","soc":"example","gpu":"example","sdk":1,"abi":"example","ramMb":1},"carHost":"example","surface":"example","seconds":1,"initMs":1,"firstFrameMs":1,"fpsP50":1,"fpsP5":1,"frameMsP95":1,"jankPct":1,"module":{"state":"example","errorCode":1,"bytes":1,"ms":1},"seq":1}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.tareky.com/v1/telemetry/car-renderer \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "events": [ { "kind": "SESSION", "renderer": "godot", "reason": "example", "at": "2026-04-15T12:00:00Z", "appVersion": "example", "engineVersion": "example", "device": { "model": "example", "soc": "example", "gpu": "example", "sdk": 1, "abi": "example", "ramMb": 1 }, "carHost": "example", "surface": "example", "seconds": 1, "initMs": 1, "firstFrameMs": 1, "fpsP50": 1, "fpsP5": 1, "frameMsP95": 1, "jankPct": 1, "module": { "state": "example", "errorCode": 1, "bytes": 1, "ms": 1 }, "seq": 1 } ] }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”x-access-key-id
string
Legacy key id (until its sunset)
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
events
required
Array<object>
object
kind
required
string
renderer
required
string
reason
string
at
required
When it happened on the device (ISO 8601)
string format: date-time
appVersion
required
string
engineVersion
string
device
required
object
model
required
Build.MODEL
string
soc
System-on-chip, as Build.SOC_MODEL reports it
string
gpu
GL_RENDERER of the context the map drew with
string
sdk
required
Android SDK level
integer
abi
required
The ABI the app runs as (arm64-v8a)
string
ramMb
required
Total RAM in MB
integer
carHost
string
surface
string
seconds
number
initMs
integer
firstFrameMs
integer
fpsP50
number
fpsP5
number
frameMsP95
number
jankPct
number
module
seq
The app queue’s own sequence number, for its ack. Ignored here
integer
Responses
Section titled “Responses”Media typeapplication/json
object
accepted
required
Events stored
integer
Examplegenerated
{ "accepted": 1}Rate limit or monthly quota exceeded; see Retry-After
Media typeapplication/json
object
error
required
object
code
required
Stable machine-readable code, e.g. quota_exceeded, no_route
string
message
required
string
status
required
integer
details
For invalid_request: the validation issues
docsUrl
required
string
requestId
string
Examplegenerated
{ "error": { "code": "example", "message": "example", "status": 1, "details": "example", "docsUrl": "example" }, "requestId": "example"}default
Section titled “default”Any other error, in the /v1 error envelope
Media typeapplication/json
object
error
required
object
code
required
Stable machine-readable code, e.g. quota_exceeded, no_route
string
message
required
string
status
required
integer
details
For invalid_request: the validation issues
docsUrl
required
string
requestId
string
Examplegenerated
{ "error": { "code": "example", "message": "example", "status": 1, "details": "example", "docsUrl": "example" }, "requestId": "example"}